Loading...
Searching...
No Matches
Opm::WellTestState Class Reference

## Classes

struct | RestartWell
struct | WTestWell
struct | ClosedCompletion

## Public Member Functions

| WellTestState (std::time_t start_time, const RestartIO::RstState &rst_state)
std::vector< std::string > | test_wells (const WellTestConfig &config, double sim_time)
void | filter_wells (const std::vector< std::string > &existing_wells)
void | close_well (const std::string &well_name, WTest::Reason reason, double sim_time)
bool | well_is_closed (const std::string &well_name) const
void | open_well (const std::string &well_name)
std::size_t | num_closed_wells () const
double | lastTestTime (const std::string &well_name) const
void | close_completion (const std::string &well_name, int complnum, double sim_time)
void | open_completion (const std::string &well_name, int complnum)
void | open_completions (const std::string &well_name)
bool | completion_is_closed (const std::string &well_name, const int complnum) const
std::size_t | num_closed_completions () const
void | clear ()
template<class BufferType>
void | pack (BufferType &buffer) const
template<class BufferType>
void | unpack (BufferType &buffer)
template<class Serializer>
void | serializeOp (Serializer &serializer)
bool | operator== (const WellTestState &other) const
std::optional< WellTestState::RestartWell > | restart_well (const Opm::WellTestConfig &config, const std::string &wname) const

## Static Public Member Functions

static WellTestState | serializationTestObject ()

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/Well/WellTestState.hpp
- opm/input/eclipse/Schedule/Well/WellTestState.cpp